
// function init() { }

var g_url = "";
function init()
  {

  // load URI given on command line
  var content = document.getElementById("contentview");
  var cmdLine = window.arguments[0].QueryInterface(Components.interfaces.nsICommandLine);
  g_url = content.getAttribute("src");

//  console.log("Blah");
      
  if(cmdLine != null && cmdLine.length > 0)
    g_url = cmdLine.getArgument(cmdLine.length-1);

  setTimeout('window.fullScreen = true;',1);

      
  if(content != null && content.contentWindow != null)
    {
    content.setAttribute("src", g_url);
    content.contentWindow.focus();
    }
  window.resizeTo(screen.width, screen.height);
  }

function reloadPage()
  {
  var content = document.getElementById("contentview");
  if(content != null)
    {
    content.reload();
    }
  }

function my_quit()
  {
  var appStartup = Components.classes['@mozilla.org/toolkit/app-startup;1']
  appStartup = appStartup.getService(Components.interfaces.nsIAppStartup);
  appStartup.quit(Components.interfaces.nsIAppStartup.eForceQuit);
  }


